const seeds = {
    "item.dynamictrees.acacia_seed": "Acacia Seed",
    //   "item.dynamictrees.apple_oak_seed": "Apple Pip",
    "item.dynamictrees.azalea_seed": "Azalea Seed",
    "item.dynamictrees.birch_seed": "Birch Catkin",
    "item.dynamictrees.cherry_seed": "Cherry Blossom Pit",
    //   "item.dynamictrees.cocoa_seed": "Cocoa Pod",
    //   "item.dynamictrees.crimson_seed": "Crimson Cap",
    "item.dynamictrees.dark_oak_seed": "Dark Oak Acorn",
    "item.dynamictrees.jungle_seed": "Jungle Pod",
    "item.dynamictrees.mangrove_seed": "Mangrove Propagule",
    "item.dynamictrees.oak_seed": "Oak Acorn",
    "item.dynamictrees.spruce_seed": "Spruce Cone",

    "item.dtquark.red_blossom_seed":"Fiery Trumpet Pit",
    "item.dtquark.blue_blossom_seed":"Frosty Trumpet Pit",
    "item.dtquark.lavender_blossom_seed":"Serene Trumpet Pit",
    "item.dtquark.yellow_blossom_seed":"Sunny Trumpet Pit",
    "item.dtquark.orange_blossom_seed":"Warm Trumpet Pit",
    "item.dtquark.ancient_seed":"Ashen Seeds",

    "item.dttraverse.brown_autumnal_seed": "Brown Autumnal Acorn",
    "item.dttraverse.red_autumnal_seed": "Red Autumnal Acorn",
    "item.dttraverse.orange_autumnal_seed": "Orange Autumnal Acorn",
    "item.dttraverse.yellow_autumnal_seed": "Yellow Autumnal Catkin",
    "item.dttraverse.fir_seed": "Fir Cone"
}

const remap = {
    "dynamictrees": "minecraft",
    "dtquark": "quark",
    "dttraverse": "traverse"
}

ClientEvents.lang("en_us", e => {
    for(let id in seeds) {
        let [ , namespace, path ] = id.split('.')

        let input = remap[namespace] +
            ':' +
            path.slice(0, path.lastIndexOf('_')) +
            '_sapling'
        e.renameItem(input, seeds[id])
    }

    e.renameItem('alexscaves:ancient_sapling', "Ancient Conker")
    e.renameItem('alexscaves:pewen_sapling', "Pewen Seed")
    e.renameItem('alexscaves:thornwood_sapling', "Thorny Conker")
    e.renameItem('yttr:squeeze_sapling', "Deep-Sea Squeeze Seed")
})